/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#if !defined(AFX_GLINPUTNUMBERDLG_H__2806C773_8BFA_4BE2_973A_7908E2A0492F__INCLUDED_)
#define AFX_GLINPUTNUMBERDLG_H__2806C773_8BFA_4BE2_973A_7908E2A0492F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CGLInputNumberDlg ダイアログ

class CGLInputNumberDlg : public CDialog
{
	CString m_strTitle;
	CString m_strPrompt;
	CSpinButtonCtrl m_spn;
	int m_nValue;

// コンストラクション
public:
	CGLInputNumberDlg(
		const CString& strTitle = _T(""),
		const CString& strPrompt = _T(""));

// ダイアログ データ
	//{{AFX_DATA(CGLInputNumberDlg)
	enum { IDD = IDD_INPUT_NUMBER };
	//}}AFX_DATA

	int GetValue() const;
	void SetValue(int nValue);

// オーバーライド
	//{{AFX_VIRTUAL(CGLInputNumberDlg)
protected:
	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	//{{AFX_MSG(CGLInputNumberDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_GLINPUTNUMBERDLG_H__2806C773_8BFA_4BE2_973A_7908E2A0492F__INCLUDED_)
